/*---------------------------------------------------------------------------*
 * 2017/04/13 kido
 * https://kido0617.github.io/
 *---------------------------------------------------------------------------*/
/*:
 * @plugindesc 
 * @author kido
 *
 * @help 
 */
/*:ja
 * @plugindesc 
 * @author kido
 *
 * @help 
 */
(function(){
  var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;
  Game_Interpreter.prototype.pluginCommand = function(command, args) {
    _Game_Interpreter_pluginCommand.call(this, command, args);
    if (command === 'JsScript30Set') {
      switch (args[0]) {
      case 'item':
        getAlls($dataItems, Number(args[1]));
        break;
      case 'armor':
        getAlls($dataArmors, Number(args[1]));
        break;
      case 'weapon':
        getAlls($dataWeapons, Number(args[1]));
        break;
      }
    }
  };
  function getAlls(data, num){
    for(var i = 1 ; i < data.length; i++){
      if(data[i].name == "")continue;
      $gameParty.gainItem(data[i], num);
    }
  }
})();
